#include "mrk/lexer_internal.h"

const char special_chars[] = {'#', '`', '-', '_', '*', '=',  '\t', '>',
                              '!', '[', ']', '(', ')', '\\', '\n', ' '};
const size_t special_chars_len = sizeof(special_chars);

bool mrk_is_special_char(char c) {
  bool is_special = false;

  for (size_t i = 0; i < special_chars_len && !is_special; i++) {
    is_special = c == special_chars[i];
  }

  return is_special;
}
